<?php
header('Content-Type: application/json');
ini_set('memory_limit','5024M');
ini_set('upload_max_filesize', '1024M');
ini_set('post_max_size', '1024M');



$nombrejpg = "";
$mensaje = "";
if( $_REQUEST["nomarch"] ) {$nombrejpg = $_REQUEST['nomarch'];}
if (isset($_FILES['archivo']) && !empty($_FILES['archivo']))
{
      	  $val = $_FILES['archivo'];
		  $jpg1nom = $val['name'];
		  $jpg1tmp = $val['tmp_name'];
		  $ruta_archivo = pathinfo($nombrejpg);        
		  $ruta_base = $ruta_archivo["dirname"];
		  $nombre_archivo = $ruta_archivo["basename"];        
		  $ruta_completa = $_SERVER['DOCUMENT_ROOT'] .  $ruta_base;
		  $target_file = $ruta_completa . "/" . $nombre_archivo;
		  $target_file = str_replace("/\\","/",$target_file);  
		  $uploadOk = 1;
		  $FileType = pathinfo($target_file,PATHINFO_EXTENSION);
		  if (file_exists($target_file)) {
			 unlink($target_file);
		  }
		  if ($val["size"] > 90000000) {
			$uploadOk = 0;
			$mensaje += " es muy grande ";
		  }
		  if(strtolower($FileType) != "jpg") {
			$uploadOk = 0;
			$mensaje += " y no es un jpg ";
		  }
		  if ($uploadOk == 1) {
		    move_uploaded_file($jpg1tmp, $target_file);
		  }   
}
echo ($target_file);
?>